build.compiler = "$:java.home$/bin/javac" -g
build.jvm = $SYSTEMJVM$
build.classpath=$CLASSPATH_PROJECT$
build.sourcepath = $SOURCEPATH$
build.destination = $TGH$/out/classes/$PROJECT_NAME$
build.main = $MAINCLASS$
build.make = gnumake
build.command = "$:java.home$/bin/javac" -g -classpath "$:classpath$$PS$$SOURCEPATH$$PS$$DESTINATION$" -d "$DESTINATION$"

tool.filter.bmj.name="Borland bmj"
tool.filter.bmj.error.noline=Error %message%
tool.filter.bmj.error.line=%sourceFile%:%line%:%message%

tool.filter.jikes.name="Jikes"
tool.filter.jikes.error.noline=Error %message%
tool.filter.jikes.error.line=%sourceFile%:%line%:%column%:%message%

tool.filter.grep.name="Grep"
tool.filter.grep.error.noline=Error %message%
tool.filter.grep.error.line=%sourceFile%:%line%:%message%


tool.filter.gpp.name="Grep"
tool.filter.gpp.error.noline=error %message%
tool.filter.gpp.error.line=%sourceFile%:%line%:%message%

tool.filter.sj.name="Symantec sj"
tool.filter.sj.error.noline=Error: %message%
tool.filter.sj.error.line=Error: %sourceFile%(%line%): %message%

tool.filter.mscl.name="Microsoft C/C++"
tool.filter.mscl.error.line=%sourceFile%(%line%) %message%

tool.a.command = $:external.editor$
tool.a.parameters = 
tool.a.showFor.file = true
tool.a.showFor.directory = false
tool.a.showFor.source = true
tool.a.showFor.element = false
tool.a.showFor.mainMenu = false
tool.a.filter = none
tool.a.update = true
tool.a.grabOutput = false
tool.a.minimized = true

external.editor = $:external.editor.default$
external.editor.default = startIde "$FILE_SPEC$" -L$LINENUMBER$
external.editor.me = mew32 "$FILE_SPEC$" /L$LINENUMBER$
external.editor.emacs = emacs +$LINENUMBER$ "$FILE_SPEC$"
external.editor.vi = xterm -exec vi "$FILE_SPEC$"
external.editor.notepad = notepad "$FILE_SPEC$" 
external.editor.msdev = MsDev_run "$FILE_SPEC$" -L$LINENUMBER$

tool.c.command = $TOMAKEFILE:make=make,command=command$
tool.c.showFor.directory = true
tool.c.showFor.source = true
tool.c.showFor.element = false
tool.c.showFor.mainMenu = true
tool.c.update = false
tool.c.grabOutput = true
tool.c.openMessage = true
tool.c.minimized = true
tool.c.language = java
tool.c.excludeWorkspace = Designer 

tool.d.command = $:build.jvm$ "$SOURCEPATH$$PS$$:classpath$$PS$$DESTINATION$"
tool.d.parameters = $MAINCLASS$
tool.d.showFor.file = false
tool.d.showFor.directory = false
tool.d.showFor.source = true
tool.d.showFor.element = false
tool.d.showFor.mainMenu = true
tool.d.update = false
tool.d.filter = none
tool.d.grabOutput = true
tool.d.minimized = false
tool.d.language = java

tool.f.command = sj
tool.f.parameters = $FILE_SPEC$ -classpath "$:classpath$$PS$$SOURCEPATH$$PS$$DESTINATION$" -d "$DESTINATION$" $FILELIST$

tool.f.showFor.directory = false
tool.f.showFor.file = false
tool.f.showFor.source = false
tool.f.showFor.element = false
tool.f.showFor.mainMenu = false
tool.f.update = false
tool.f.grabOutput = true
tool.f.filter = sj
tool.f.openMessage=true
